<?php

// include the php library
require_once 'avsPhpSdkV1.php';

// provide the access information, find this credentials in your partner account
$partnerId = 0;
$cipherKey = '';
$hmacKey   = '';

// create a new verification library instance
$avsInstance = new AvsPhpSdkV1(
	$partnerId,
	$cipherKey,
	$hmacKey
);

$avsInstance->setLanguage(AvsPhpSdkV1::LANGUAGE_EN);

// provide required user id (if any)
$demoUserId = 0;

// optional: provide the color config for your implementation
$colorConfigBodyBackground      = '#ffffff';
$colorConfigBodyForeground      = '#000000';
$colorConfigButtonBackground    = '#9acd1f';
$colorConfigButtonForeground    = '#ffffff';
$colorConfigButtonForegroundCTA = '#ffffff';

// provide required user agent
$userAgent = $_SERVER['HTTP_USER_AGENT'];

// provide required website hostname
$websiteHostname = $_SERVER['SERVER_NAME'];

// optional: should the detection process show the detected face or document age in the process or not, boolean
$showDetectedAgeNumber = true;

// provide the required link back, the user will be taken back to this page after the detection process is finisher with success
$linkBack = 'https://example.com';

// provide required user ip
$userIp = $_SERVER['REMOTE_ADDR'];

// optional: provide the user country code
$countryCode = '';
// optional: provide the user state code
$stateCode = '';

// use all the provided data above to create a request object
$avsInstance->fillRequest(
	array(
		'userData'            => array(
			'userId'      => $demoUserId,
			// optional
			'colorConfig' => array(
				'body' => array(
					'background' => $colorConfigBodyBackground,
					'foreground' => $colorConfigBodyForeground,
					'button'     => array(
						'background'             => $colorConfigButtonBackground,
						'foreground'             => $colorConfigButtonForeground,
						'foregroundCallToAction' => $colorConfigButtonForegroundCTA,
					)
				),
			)
		),
		'http'                => array(
			'userAgent'       => $userAgent,
			'websiteHostname' => $websiteHostname,
			'paramList'       => array(
				// optional
				'showDetectedAgeNumber' => $showDetectedAgeNumber
			)
		),
		'verificationVersion' => AvsPhpSdkV1::VERIFICATION_VERSION_STANDARD_V1,
		'linkBack'            => $linkBack,
		'ipStr'               => $userIp,
		// optional
		'countryCode'         => $countryCode,
		'stateCode'           => $stateCode,
	)
);

// encrypt the request object and get the age verification page url
$verificationUrl = $avsInstance->toUrl();

$payload = $avsInstance->toPayload();

?>
<html>
<head>
	<title>Age verification php sdk demo</title>
</head>
<body>
<style>
body {
	text-align: center;
	font-family: Arial, Helvetica, sans-serif;
}

.container {
	margin: auto;
	width: 800px;
	padding: 30px 10px;
	text-align: left;
}
</style>
<div class="container">
	<h1>Age verification php sdk demo</h1>
	<p>This verification implementation demonstrates the use of the stand-alone php library. By clicking the button
		below a new browser tab will open with the go.cam age verification page using your partner data above. The
		verification result will be posted back to your verification result callback url if it's already defined.</p>
	<a href="<?php echo $verificationUrl; ?>" target="_blank">Start age verification</a>
</div>
</body>
</html>
